petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMTSGetIFunction

get TS implicit residual evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetIFunction(DM dm,TSIFunction *func,void **ctx)

Not Collective Many br

### Input Argument

dm -DM to be used with TS Many br

### Output Arguments

| func | - function evaluation function, see TSSetIFunction() for calling sequence Many br
| ctx | - context for residual evaluation Many br

Many br

### Note

TSGetFunction() is normally used, but it calls this function internally because the user context is actually Many brassociated with the DM. Many br

### See Also

DMTSSetContext(), DMTSSetFunction(), TSSetFunction()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages